import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { HydratedDocument } from 'mongoose';

export type SmokeDocument = HydratedDocument<Smoke>;

@Schema()
export class Smoke {
  @Prop()
  id: number;

  @Prop()
  device: string;

  @Prop()
  count: number;

  @Prop()
  fan: number;

  @Prop()
  buzzer: number;

  @Prop()
  smokeLevel: number;

  @Prop()
  timestamp: number;
}

export const SmokeSchema = SchemaFactory.createForClass(Smoke);
