import { Controller, Delete, Get, Param } from '@nestjs/common';
import { SmokeService } from './smoke.service';
import { Smoke } from './schemas/smoke.schema';

@Controller('smoke')
export class SmokeController {
  constructor(private readonly smokeService: SmokeService) {}

  @Get()
  async findAll(): Promise<Smoke[]> {
    return this.smokeService.findAll();
  }

  @Get(':id')
  async findOne(@Param('id') id: string): Promise<Smoke> {
    return this.smokeService.findOne(id);
  }

  @Delete(':id')
  async delete(@Param('id') id: string) {
    return this.smokeService.delete(id);
  }
}
