import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { Smoke, SmokeSchema } from './schemas/smoke.schema';
import { SmokeController } from './smoke.controller';
import { SmokeService } from './smoke.service';

@Module({
  imports: [MongooseModule.forFeature([{ name: Smoke.name, schema: SmokeSchema, collection: 'devices' }])],
  controllers: [SmokeController],
  providers: [SmokeService],
})
export class SmokeModule {}
