import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { Smoke, SmokeDocument } from './schemas/smoke.schema';

@Injectable()
export class SmokeService {
  constructor(
    @InjectModel(Smoke.name) private readonly smokeModel: Model<SmokeDocument>,
  ) {}

  async findAll(): Promise<Smoke[]> {
    return this.smokeModel.find().exec();
  }

  async findOne(id: string): Promise<Smoke> {
    return this.smokeModel.findOne({ _id: id }).exec();
  }

  async delete(id: string) {
    const deletedCat = await this.smokeModel
      .findByIdAndRemove({ _id: id })
      .exec();
    return deletedCat;
  }
}
