#include <WiFi.h>
#include <Wire.h>
#include <WebSocketClient.h>
#include <Arduino.h>
#include <ArduinoJson.h>
#include <HTTPClient.h>
#include <SPI.h>

#define CLIENT    "AutoLight"
#define TYPE      "ESP32"
#define LED 2
#define BUZZER 23
#define FAN 19
#define SMOKE_SENSOR 34

const char* ssid = "MY_NETWORK 2.4G";
const char* password = "GoGoogle123";
char path[] = "/";

char host[] = "192.168.0.105:5001"; // "{ipv4 ของเครื่องที่จะส่งไป}:{port ที่เปิด}"
char ipv4[] = "192.168.0.105"; // "{ipv4 ของเครื่องที่จะส่งไป}

RTC_DATA_ATTR int Count = 0;
RTC_DATA_ATTR int timeCount = 0; //every 2 == 1s
RTC_DATA_ATTR char name[15] = CLIENT;
StaticJsonDocument<500> doc;

int smokeLevel = 0;  // variable declared to store the value read
int buzzer = 0;
int fan = 0;

WebSocketClient webSocketClient;

// Use WiFiClient class to create TCP connections
WiFiClient client;

String data;

void initWiFi() {
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  Serial.print("Connecting to WiFi ...");
  while (WiFi.status() != WL_CONNECTED) {
    Serial.print('.');
    delay(1000);
  }
  Serial.println(WiFi.localIP());
}

void setup(void)
{
  doc["client"] = CLIENT;
  Serial.begin(115200);
  pinMode(LED, OUTPUT);
  pinMode(BUZZER, OUTPUT);
  pinMode(FAN, OUTPUT);
  pinMode(SMOKE_SENSOR, INPUT);

  digitalWrite(BUZZER, HIGH); // Turn off buzzer
  digitalWrite(FAN, LOW); // Turn off fan

  initWiFi();
  Serial.print("RRSI: ");
  Serial.println(WiFi.RSSI());
}

void POSTData()
{  
  if (WiFi.status() == WL_CONNECTED){

    if (client.connect(ipv4, 5001)) {
      Serial.println("Connected");
    }
    webSocketClient.path = path;
    webSocketClient.host = host;
    if (webSocketClient.handshake(client)) {
      Serial.println("Data sent successfully");

      String json;
      serializeJson(doc, json);
      webSocketClient.sendData(json);
      // data = "hello from esp32";
      // webSocketClient.sendData(data);
    }
  }
}

void loop(void)
{
  smokeLevel = analogRead(SMOKE_SENSOR);

  if (smokeLevel > 1000) {
    fan = 1;
    buzzer = 1;
    digitalWrite(BUZZER, LOW);
    digitalWrite(FAN, HIGH);
  }
  else {
    fan = 0;
    buzzer = 0;
    digitalWrite(BUZZER, HIGH);
    digitalWrite(FAN, LOW);
  }

  /* Display the results (acceleration is measured in m/s^2) */
  if (timeCount % 20 == 0){
    Count++;
    doc["count"] = Count;
    doc["fan"] = fan;
    doc["buzzer"] = buzzer;
    doc["smokeLevel"] = smokeLevel;
    timeCount = 0;
    POSTData();
    // serializeJsonPretty(doc, Serial);
  }
  timeCount++;
  delay(500);
}


