#include <ESP32Servo.h>
#include <WiFi.h>
#include <WebSocketClient.h>
#include <ArduinoJson.h>
#include <HTTPClient.h>
#include <SPI.h>

#define LIGHT_SENSOR_PIN 36
#define CLIENT    "curtain-device"
#define TYPE      "ESP32"

const char* ssid = "Mild";
const char* password = "00000000";
char path[] = "/";

char host[] = "172.20.10.5:4002"; // "{ipv4 ของเครื่องที่จะส่งไป}:{port ที่เปิด}"
char ipv4[] = "172.20.10.5"; // "{ipv4 ของเครื่องที่จะส่งไป}

RTC_DATA_ATTR int timeCount = 0; //every 2 == 1s
RTC_DATA_ATTR char name[15] = CLIENT;
StaticJsonDocument<500> doc;

WebSocketClient webSocketClient;
WiFiClient client;

Servo myservo;
int analogValue;
int pos = 0;
bool curtain_state;

void setup() {
  // initialize serial communication at 9600 bits per second:
  Serial.begin(115200);
  myservo.attach(2);
  doc["client"] = CLIENT;

  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);
  Serial.println("Connecting to WiFi");
  while(WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.print("Connected to WiFi network with IP Address: ");
  Serial.println(WiFi.localIP());
}

void POSTData()
{  
  if (WiFi.status() == WL_CONNECTED){

    if (client.connect(ipv4, 4002)) {
      Serial.println("Connected");
    }
    webSocketClient.path = path;
    webSocketClient.host = host;
    if (webSocketClient.handshake(client)) {
      Serial.println("Data sent successfully");

      String json;
      serializeJson(doc, json);
      webSocketClient.sendData(json);
      // data = "hello from esp32";
      // webSocketClient.sendData(data);
    }
  }
}

void loop() {
  analogValue = analogRead(LIGHT_SENSOR_PIN);

  if (analogValue <= 3000) {
    Serial.print("Servo Opened, Analog Value = ");
    Serial.println(analogValue);
    curtain_state = true;

    if (pos != 3000) {
      myservo.attach(2);
      pos = 3000;
      myservo.writeMicroseconds(pos); 
      delay(1100);
      myservo.writeMicroseconds(0);
      delay(365);
    }
    myservo.detach();
  } 
  else {
    Serial.print("Servo Closed;, Analog Value = ");
    Serial.println(analogValue);
    curtain_state = false;

    if (pos != 1450) {
      myservo.attach(2);
      pos = 1450;
      myservo.writeMicroseconds(3000);
      delay(1100); 
      myservo.writeMicroseconds(0);
      delay(365);
    }
    myservo.detach();
  }
  if (timeCount % 20 == 0){
    doc["curtain"] = curtain_state;
    doc["lightLevel"] = analogValue;
    timeCount = 0;
    Serial.println("test");
    POSTData();
    // serializeJsonPretty(doc, Serial);
  }
  timeCount++;
  delay(500);
}
